Bug 1128435 - Error for wrong VM kernel options not informative.
Summary: Error for wrong VM kernel options not informative.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 12:43 UTC by Ilanit Stein
Modified: 2016-12-13 08:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-13 08:59:20 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-4.1?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Ilanit Stein 2014-08-10 12:43:41 UTC
Description of problem:
setting a linux vm, with kernel options, wrong path, give error event that do not indicate problem is in the kernel options:
"VM test2 is down with error. Exit message: unable to set security context 'system_u:object_r:virt_content_t:s0' on 'aaa/aaa': No such file or directory."

Version-Release number of selected component (if applicable):
ovirt-engine 3.5-rc1 

How reproducible:
100%

Steps to Reproduce:
1. Edit a running VM with kernel options wrong path, for example, aaa/aaa
2. power down the VM
3. Try to start the VM - should fail with the above error event.

Expected results:
Error should indicate problem is in kernel options field.

Comment 1 Michal Skrivanek 2014-08-22 14:26:17 UTC
this bug won't fit into 3.5 release and is being deferred to a later release. If you deeply care about this bug and deserves to be re-evaluated please let me know

Comment 2 Michal Skrivanek 2015-08-05 12:48:13 UTC
this low prio bug didn't make it for 3.6 beta cutoff, moving to 4.0

Comment 3 Red Hat Bugzilla Rules Engine 2015-10-19 10:55:04 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 4 Yaniv Kaul 2016-03-10 11:29:56 UTC
(In reply to Michal Skrivanek from comment #2)
> this low prio bug didn't make it for 3.6 beta cutoff, moving to 4.0

Any chance for it for 4.0?

Comment 5 Michal Skrivanek 2016-03-16 11:32:20 UTC
I think "No such file or directory" does give a hint

Comment 6 Michal Skrivanek 2016-04-22 14:45:20 UTC
pushed out due to capacity reasons

Comment 7 Tomas Jelinek 2016-12-13 08:59:20 UTC
It's being pushed since 3.5. I would say the "'aaa/aaa': No such file or directory." is an informative message. Closing this as wont fix. If you think this should be fixed, please feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.